## ros-indigo-object-recognition-linemod 0.3.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(object_recognition_linemod)

option(LINEMOD_VISUALIZE_IMAGE "visualize images with detected objects features" OFF)
option(LINEMOD_VISUALIZE_POINTCLOUD "visualize point clouds from the reference image and its match from DB" OFF)

find_package(catkin REQUIRED object_recognition_core object_recognition_renderer opencv_candidate)
catkin_package(CATKIN_DEPENDS ecto object_recognition_core object_recognition_renderer opencv_candidate
               DEPENDS OpenCV
)

#install targets for all things python
catkin_python_setup()

find_package(OpenCV REQUIRED)

include_directories(include)
include_directories(SYSTEM ${catkin_INCLUDE_DIRS}
                           ${OpenCV_INCLUDE_DIRS}
)

# Compile the module
add_subdirectory(python)
add_subdirectory(src)

# add the tests
if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

# build the docs
ecto_sphinx(${CMAKE_CURRENT_SOURCE_DIR}/doc/source doc)

# install the conf files
install(DIRECTORY conf
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== src/CMakeLists.txt ===
# Compile the ecto 
option(LINEMOD_VIZ_IMG "activate visualization" OFF)
if(LINEMOD_VIZ_IMG)
  add_definitions("-DLINEMOD_VIZ_IMG=1")
endif()

set(SRC_FILES db_linemod.cpp
              linemod_detect.cpp
              linemod_train.cpp
              ModelFiller.cpp
              module.cpp
              linemod_icp.cpp
)
set(INCLUDE_DIRS ${catkin_INCLUDE_DIRS}
                 ${OpenCV_INCLUDE_DIRS}
)
set(LIBRARIES ${catkin_LIBRARIES}
              ${OpenCV_LIBRARIES}
)

if(LINEMOD_VIZ_PCD)
  set(SRC_FILES ${SRC_FILES} linemod_pointcloud.cpp)

  find_package(roscpp)
  set(INCLUDE_DIRS ${INCLUDE_DIRS} ${roscpp_INCLUDE_DIRS})
  set(LIBRARIES ${LIBRARIES} ${roscpp_LIBRARIES})

  add_definitions("-DLINEMOD_VIZ_PCD=1")
endif()

include_directories(${INCLUDE_DIRS})

ectomodule(ecto_linemod DESTINATION ${PROJECT_NAME}/ecto_cells
                        INSTALL
                        ${SRC_FILES}
)

link_ecto(ecto_linemod ${LIBRARIES})

=== test/CMakeLists.txt ===
# LINE-MOD tests
object_recognition_core_config_test(${CMAKE_CURRENT_SOURCE_DIR}/../conf/detection.ork)
object_recognition_core_config_test(${CMAKE_CURRENT_SOURCE_DIR}/../conf/training.ork)

=== debian/changelog ===
ros-indigo-object-recognition-linemod (0.3.7-0trusty) trusty; urgency=high

  * small changes in training: object distance and mesh path
  * Contributors: Vincent Rabaud, nlyubova

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 20 Jul 2015 22:00:00 -0000

ros-indigo-object-recognition-linemod (0.3.6-0trusty) trusty; urgency=high

  * fixing training and detection for meshes generated with the Reconstration pipeline
  * Contributors: nlyubova

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 19 Apr 2015 22:00:00 -0000

ros-indigo-object-recognition-linemod (0.3.5-0trusty) trusty; urgency=high

  * fixed the depth conversion to 32F, updated possible mesh names for both training and detection
  * Contributors: nlyubova

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 18 Apr 2015 22:00:00 -0000

ros-indigo-object-recognition-linemod (0.3.4-0trusty) trusty; urgency=high

  * remove the sample folder: a lot of old non-working code
    This also fixes #11 <https://github.com/wg-perception/linemod/issues/11>
  * fix #13 <https://github.com/wg-perception/linemod/issues/13> fully
  * Merge pull request #13 <https://github.com/wg-perception/linemod/issues/13> from nlyubova/master
    Fixed issue with openNI2 while handing both 32F and 8U depth formats
  * Fixed issue with openNI2 while handing both 32F and 8U depth formats
  * Contributors: Vincent Rabaud, nlyubova

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 13 Apr 2015 22:00:00 -0000

ros-indigo-object-recognition-linemod (0.3.3-0trusty) trusty; urgency=high

  * Fixed input params for training
  * use the new renderer API
  * Contributors: Vincent Rabaud, nlyubova

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Jan 2015 23:00:00 -0000

ros-indigo-object-recognition-linemod (0.3.2-0trusty) trusty; urgency=high

  * fix compilation on 32 bits
  * update OpenCV dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 17 Jan 2015 23:00:00 -0000

ros-indigo-object-recognition-linemod (0.3.1-0trusty) trusty; urgency=high

  * fixed object orientation,
    fixed icp,
    added detection of multiple objects,
    added visualization of point clouds
  * clean extensions
  * update docs
  * Updated render function to match latest ork_renderer commit bfcdbc2c74b21ac07b20c953f994269a427eb25c
  * fix some runtime behavior
  * Contributors: Isura, Vincent Rabaud, nlyubova

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 17 Jan 2015 23:00:00 -0000

ros-indigo-object-recognition-linemod (0.3.0-0trusty) trusty; urgency=high

  * better mesh handling
  * drop Fuerte support

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 29 Jan 2014 01:59:06 +0100

=== debian/control ===
Source: ros-indigo-object-recognition-linemod
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-ecto, ros-indigo-object-recognition-core, ros-indigo-object-recognition-renderer, ros-indigo-opencv-candidate
Homepage: https://github.com/wg-perception/linemod
Standards-Version: 3.9.2

Package: ros-indigo-object-recognition-linemod
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-ecto, ros-indigo-object-recognition-core, ros-indigo-object-recognition-renderer, ros-indigo-opencv-candidate
Description: An object recognition pipeline that uses LINE-MOD from OpenCV

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-object-recognition-linemod//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
